package pack

import (
	"fmt"
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpTaskLinkListRequestToCondition(req *http_model.TaskLinkListRequest) *common_model.TalentConditions {
	fmt.Printf("链接转换 %+v", req)
	return &common_model.TalentConditions{
		ProjectId:   conv.MustInt64(req.ProjectId),
		LinkStatus:  conv.MustInt64(req.LinkStatus),
		StrategyIds: conv.MustString(req.StrategyIds),
		// TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
